      PROGRAM LOOPY
      implicit integer*2 (i-n)
c
      ic0 = 0
   10 call gettim(ih,im,is,ic)
      if (ic.eq.ic0) go to 10
      ic0 = ic
      print 20, ih,im,is,ic
   20 format (' Time is : ',2(I2.2,1H:),I2.2,1H.,I2.2)
      call chkkey(istat1)
      if (istat1.eq.0) go to 10
      print 30, istat1/256, mod(istat1,256)
   30 format (' Key received: Scan Code = ',Z2,', ASCII = ',Z2)
      print 40
   40 format (' Enter a key ->')
      call getkey(istat2)
      print 30, istat2/256, mod(istat2,256)
      print 50, istat1, istat2
   50 format (' IS1, IS2 = ',2(1X,Z4))
c
      stop
      end
      